Bug 252903 - misc/mc 4.8.26 build fails
Summary: misc/mc 4.8.26 build fails
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-22 02:40 UTC by jakub_lach
Modified: 2021-01-26 23:05 UTC (History)
4 users (show)

See Also:
woodsb02: maintainer-feedback+


Attachments
patch (655 bytes, patch)
2021-01-26 22:21 UTC, rozhuk.im
woodsb02: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jakub_lach 2021-01-22 02:40:03 UTC
warning: unknown warning option '-Wformat-signedness' [-Wunknown-warning-option]                                                                                                   
warning: unknown warning option '-Wmaybe-uninitialized'; did you mean '-Wuninitialized'?                                                                                           
      [-Wunknown-warning-option]                                                                                                                                                   
mv -f .deps/color-ncurses.Tpo .deps/color-ncurses.Plo                                                                                                                              
tty-ncurses.c:556:5: error: unknown type name 'cchar_t'; did you mean 'wchar_t'?
    cchar_t *ctext;
    ^~~~~~~
    wchar_t
/usr/include/stdlib.h:58:20: note: 'wchar_t' declared here
typedef ___wchar_t      wchar_t;
                        ^
tty-ncurses.c:565:31: error: use of undeclared identifier 'cchar_t'
    ctext = g_malloc (sizeof (cchar_t) * (cols + 1));
                             ^
tty-ncurses.c:569:9: warning: implicit declaration of function 'mvin_wchnstr' is invalid in C99
      [-Wimplicit-function-declaration]
        mvin_wchnstr (y + row, x, ctext, cols);
        ^
tty-ncurses.c:573:13: warning: implicit declaration of function 'getcchar' is invalid in C99
      [-Wimplicit-function-declaration]
            getcchar (&ctext[col], wch, &attrs, &color_pair, NULL);
            ^
tty-ncurses.c:574:13: warning: implicit declaration of function 'setcchar' is invalid in C99
      [-Wimplicit-function-declaration]
            setcchar (&ctext[col], wch, attrs, color, NULL);
            ^
tty-ncurses.c:577:9: warning: implicit declaration of function 'mvadd_wchnstr' is invalid in C99
      [-Wimplicit-function-declaration]
        mvadd_wchnstr (y + row, x, ctext, cols);
        ^
6 warnings and 2 errors generated.
gmake[5]: *** [Makefile:548: tty-ncurses.lo] Error 1
gmake[5]: Leaving directory '/usr/obj/usr/ports/misc/mc/work/mc-4.8.26/lib/tty'
gmake[4]: *** [Makefile:704: all-recursive] Error 1
gmake[4]: Leaving directory '/usr/obj/usr/ports/misc/mc/work/mc-4.8.26/lib'
gmake[3]: *** [Makefile:584: all-recursive] Error 1
gmake[3]: Leaving directory '/usr/obj/usr/ports/misc/mc/work/mc-4.8.26'
gmake[2]: *** [Makefile:514: all] Error 2
gmake[2]: Leaving directory '/usr/obj/usr/ports/misc/mc/work/mc-4.8.26'
===> Compilation failed unexpectedly.
Comment 1 Marco Beishuizen 2021-01-22 11:23:11 UTC
Got the same thing here. It compiles with the (default) slang option on, but not with the ncurses option.
Comment 2 Michael Bueker 2021-01-24 20:29:57 UTC
Same here, on latest 11.2-RELEASE
Comment 3 Michael Osipov 2021-01-25 12:05:37 UTC
Same here on stable/12:e82353f84.
Comment 4 rozhuk.im 2021-01-26 22:21:26 UTC
Created attachment 221949 [details]
patch

Allow to build an run.
Comment 5 Ben Woods freebsd_committer 2021-01-26 23:05:15 UTC
Comment on attachment 221949 [details]
patch

Looks good - thanks for the fix!
Comment 6 commit-hook freebsd_committer 2021-01-26 23:05:26 UTC
A commit references this bug:

Author: woodsb02
Date: Tue Jan 26 23:04:55 UTC 2021
New revision: 563008
URL: https://svnweb.freebsd.org/changeset/ports/563008

Log:
  misc/mc: Fix build with ncurses option

  PR:		252903
  Submitted by:	Rozhuk Ivan <rozhuk.im@gmail.com>
  Reported by:	jakub_lach@mailplus.pl
  Reported by:	mbeis@xs4all.nl
  Reported by:	m.bueker@berlin.de
  Reported by:	michael.osipov@siemens.com

Changes:
  head/misc/mc/Makefile
Comment 7 Ben Woods freebsd_committer 2021-01-26 23:05:58 UTC
Committed - thanks again everyone for reporting and fixing this one.